#ifndef KHUREADER_H
#define KHUREADER_H

#include "SHUReader.h"

class CKHUReader :
	public CSHUReader
{
public:
	CKHUReader(CReader *Owner,CBaseCommunication *Communicator);
	virtual ~CKHUReader(void);
	virtual void SetHWString(char *String);
	virtual void GetProductString(uint8_t *Product);
	virtual CJ_RESULT CtSetBacklight(EBacklight eBacklight,uint32_t *Result);	
protected:
private:
	void SetNFCSpeedLimit();

};

#endif

